Package com.sas.lsaf.execution.job

## Class ManifestSynchronizationMetrics

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestSynchronizationMetrics

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestSynchronizationMetrics
      extends java.lang.Object
      implements java.io.Serializable

  The class that contains synchronization information when running a job.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestSynchronizationMetrics​(int total, long size, long time)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getSize()` | Gets the size (in bytes) of total number of files that were synchronized.
    `long` | `getTime()` | Gets the time (in ms) to synchronize the files.
    `int` | `getTotal()` | Gets the total number of files that were synchronized.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestSynchronizationMetrics

          public ManifestSynchronizationMetrics​(int total,
                                                long size,
                                                long time)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the metrics returned by the API.
      Parameters:
        `total` - The total number of files that were synchronized.
        `size` - The size (in bytes) of the total number of files that were synchronized.
        `time` - The time (in ms) to synchronize the files.

  - ### Method Detail

    - #### getTotal

          public int getTotal()

      Gets the total number of files that were synchronized.
      Returns:
        The total number of files.

    - #### getSize

          public long getSize()

      Gets the size (in bytes) of total number of files that were synchronized.
      Returns:
        The size (in bytes).

    - #### getTime

          public long getTime()

      Gets the time (in ms) to synchronize the files.
      Returns:
        The time (in ms).

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`